import 'package:http/http.dart' as http;
import 'dart:convert' as convert;

/// Look up a license plate
Future<dynamic> LicensePlateUSA(String Plate, String State, String Username, String Password) async {  
  String basicAuth = 'Basic ' + convert.base64Encode(convert.utf8.encode('$Username:$Password'));
  String url = 'http://www.vehicleregistrationapi.com/api/json.aspx/CheckUSA/$Plate/$State';  
  var response = await http.get(url,
      headers: <String, String>{'authorization': basicAuth});
  return convert.jsonDecode(response.body);
}
